| Home | Libraries | People | FAQ | More

## Struct template node

boost::lockfree::stack::node

## Synopsis

    // In header: <boost/lockfree/stack.hpp>

    template<typename T, ... Options>
    struct node {
      // types
      typedef unspecified handle_t;

      // construct/copy/destruct
      node(T const &);

      // public data members
      handle_t next;
      const T v;
    };

## Description

### `node` public construct/copy/destruct

1.     node(T const & val);